Use openstreetmap-oauth-plugin for now
authorTom Hughes <tom@compton.nu>
Tue, 1 May 2012 09:31:36 +0000 (10:31 +0100)
committerTom Hughes <tom@compton.nu>
Tue, 1 May 2012 09:32:12 +0000 (10:32 +0100)
Gemfile
Gemfile.lock

diff --git a/Gemfile b/Gemfile
index bf1f2010d4e8a26800623cc9a6fb3f4e5c7c162a..0075f1771a8fc3f4db4d57ea20871c57a20899f7 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -14,7 +14,7 @@ gem 'jquery-rails'
 gem 'rails-i18n', ">= 0.6.3"
 gem 'dynamic_form'
 gem 'rinku', '>= 1.2.2', :require => 'rails_rinku'
-gem 'oauth-plugin', '>= 0.4.0.1'
+gem 'openstreetmap-oauth-plugin', '>= 0.4.0.1', :require => 'oauth-plugin'
 gem 'open_id_authentication', '>= 1.1.0'
 gem 'validates_email_format_of', '>= 1.5.1'
 gem 'composite_primary_keys', '>= 5.0.0'
index c6394215846faa1e1a00237261f0743ebcb2409d..0ea8790212128f35a0d74d1700921cfe301f9242 100644 (file)
@@ -44,7 +44,7 @@ GEM
     deadlock_retry (1.2.0)
     dynamic_form (1.1.4)
     erubis (2.7.0)
-    execjs (1.3.0)
+    execjs (1.3.1)
       multi_json (~> 1.0)
     faraday (0.8.0)
       multipart-post (~> 1.1)
@@ -59,7 +59,7 @@ GEM
     jquery-rails (2.0.2)
       railties (>= 3.2.0, < 5.0)
       thor (~> 0.14)
-    json (1.6.6)
+    json (1.7.0)
     libv8 (3.3.10.4)
     libxml-ruby (2.3.2)
     mail (2.4.4)
@@ -68,22 +68,22 @@ GEM
       treetop (~> 1.4.8)
     memcached (1.4.1)
     mime-types (1.18)
-    multi_json (1.3.2)
+    multi_json (1.3.4)
     multipart-post (1.1.5)
     nokogiri (1.5.2)
     oauth (0.4.6)
-    oauth-plugin (0.4.0.1)
-      multi_json
-      oauth (~> 0.4.4)
-      oauth2 (>= 0.5.0)
-      rack
-    oauth2 (0.7.0)
+    oauth2 (0.7.1)
       faraday (~> 0.8)
       httpauth (~> 0.1)
-      multi_json (~> 1.3)
+      multi_json (~> 1.0)
       rack (~> 1.4)
     open_id_authentication (1.1.0)
       rack-openid (~> 1.3)
+    openstreetmap-oauth-plugin (0.4.0.1)
+      multi_json
+      oauth (~> 0.4.4)
+      oauth2 (>= 0.5.0)
+      rack
     paperclip (2.7.0)
       activerecord (>= 2.3.0)
       activesupport (>= 2.3.2)
@@ -131,7 +131,7 @@ GEM
       railties (~> 3.2.0)
       sass (>= 3.1.10)
       tilt (~> 1.3)
-    sprockets (2.1.2)
+    sprockets (2.1.3)
       hike (~> 1.2)
       rack (~> 1.0)
       tilt (~> 1.1, != 1.3.0)
@@ -165,8 +165,8 @@ DEPENDENCIES
   jquery-rails
   libxml-ruby (>= 2.0.5)
   memcached (>= 1.4.1)
-  oauth-plugin (>= 0.4.0.1)
   open_id_authentication (>= 1.1.0)
+  openstreetmap-oauth-plugin (>= 0.4.0.1)
   paperclip (~> 2.0)
   pg
   rails (= 3.2.3)